### Enumeration

# GLib TraverseFlags

#### Declaration

    flags GLib.TraverseFlags

#### Description [src]

Specifies which nodes are visited during several of the tree functions, including `g_node_traverse()` and g_node_find().

#### Members

Name | Description
--- | ---
`G_TRAVERSE_LEAVES` | Only leaf nodes should be visited. This name has been introduced in 2.6, for older version use `G_TRAVERSE_LEAFS`.
`G_TRAVERSE_NON_LEAVES` | Only non-leaf nodes should be visited. This name has been introduced in 2.6, for older version use `G_TRAVERSE_NON_LEAFS`.
`G_TRAVERSE_ALL` | All nodes should be visited.
`G_TRAVERSE_MASK` | A mask of all traverse flags.
`G_TRAVERSE_LEAFS` | Identical to `G_TRAVERSE_LEAVES`.
`G_TRAVERSE_NON_LEAFS` | Identical to `G_TRAVERSE_NON_LEAVES`.